
########## Tcl recorder starts at 11/28/17 21:13:53 ##########

set version "2.0"
set proj_dir "C:/ispLEVER_Classic2_0/examples/tlc_engine_v1b"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line; continue}
	if {$path && [regexp {^fpgabinpath} $lline]} {set fpga_bin $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]
set fpga_bin [string range $fpga_bin [expr [string first "=" $fpga_bin]+1] end]
regsub -all "\"" $fpga_bin "" fpga_bin
set fpga_bin [file join $fpga_bin]

if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$fpga_bin;$env(PATH)" }

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/sch2blf\" -dev Lattice -sup top.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"top.bls\" -o \"top.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" -i top.bl0 -o top.bl1 -collapse none -reduce none  -err automake.err -keepwires -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open tlc_engine.cmd w} rspFile] {
	puts stderr "Cannot create response file tlc_engine.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: tlc_engine_v1b.sty
PROJECT: tlc_engine
WORKING_PATH: \"$proj_dir\"
MODULE: tlc_engine
VHDL_FILE_LIST: tlc_engine.vhd
OUTPUT_FILE_NAME: tlc_engine
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e tlc_engine -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete tlc_engine.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf tlc_engine.edi -out tlc_engine.bl0 -err automake.err -log tlc_engine.log -prj tlc_engine_v1b -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" tlc_engine.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"top.bl1\" -o \"tlc_engine_v1b.bl2\" -omod \"tlc_engine_v1b\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj tlc_engine_v1b -lci tlc_engine_v1b.lct -log tlc_engine_v1b.imp -err automake.err -tti tlc_engine_v1b.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci tlc_engine_v1b.lct -blifopt tlc_engine_v1b.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" tlc_engine_v1b.bl2 -sweep -mergefb -err automake.err -o tlc_engine_v1b.bl3 @tlc_engine_v1b.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci tlc_engine_v1b.lct -dev lc4k -diofft tlc_engine_v1b.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" tlc_engine_v1b.bl3 -family AMDMACH -idev van -o tlc_engine_v1b.bl4 -oxrf tlc_engine_v1b.xrf -err automake.err @tlc_engine_v1b.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci tlc_engine_v1b.lct -dev lc4k -prefit tlc_engine_v1b.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp tlc_engine_v1b.bl4 -out tlc_engine_v1b.bl5 -err automake.err -log tlc_engine_v1b.log -mod top @tlc_engine_v1b.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open tlc_engine_v1b.rs1 w} rspFile] {
	puts stderr "Cannot create response file tlc_engine_v1b.rs1: $rspFile"
} else {
	puts $rspFile "-i tlc_engine_v1b.bl5 -lci tlc_engine_v1b.lct -d m4s_256_96 -lco tlc_engine_v1b.lco -html_rpt -fti tlc_engine_v1b.fti -fmt PLA -tto tlc_engine_v1b.tt4 -nojed -eqn tlc_engine_v1b.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open tlc_engine_v1b.rs2 w} rspFile] {
	puts stderr "Cannot create response file tlc_engine_v1b.rs2: $rspFile"
} else {
	puts $rspFile "-i tlc_engine_v1b.bl5 -lci tlc_engine_v1b.lct -d m4s_256_96 -lco tlc_engine_v1b.lco -html_rpt -fti tlc_engine_v1b.fti -fmt PLA -tto tlc_engine_v1b.tt4 -eqn tlc_engine_v1b.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@tlc_engine_v1b.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete tlc_engine_v1b.rs1
file delete tlc_engine_v1b.rs2
if [runCmd "\"$cpld_bin/tda\" -i tlc_engine_v1b.bl5 -o tlc_engine_v1b.tda -lci tlc_engine_v1b.lct -dev m4s_256_96 -family lc4k -mod top -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj tlc_engine_v1b -if tlc_engine_v1b.jed -j2s -log tlc_engine_v1b.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 11/28/17 21:13:53 ###########

